FlightAware Discussions

Error whilst upgrading to PiAware 6.1

I pushed a manual update to PiAware via the ADS-B page on FlightAware using the command “Upgrade and Restart PiAware”, however encountered an error and the upgrade to v6.1. I have pasted my logs below:

[2021-11-24 13:15 GMT] performing manual update, action: piaware
[2021-11-24 13:15 GMT] *** running command ‘/usr/lib/piaware/helpers/run-apt-get update’ and logging output
[2021-11-24 13:15 GMT] manual update (user-initiated via their flightaware control page) requested by adept server
[2021-11-24 13:15 GMT] run-apt-get(1225): Hit:4 http://flightaware.com/adsb/piaware/files/packages buster InRelease
[2021-11-24 13:15 GMT] run-apt-get(1225): Get:1 Index of /debian buster InRelease [32.6 kB]
[2021-11-24 13:15 GMT] run-apt-get(1225): Get:2 Index of /raspbian buster InRelease [15.0 kB]
[2021-11-24 13:15 GMT] run-apt-get(1225): Reading package lists…
[2021-11-24 13:15 GMT] skipping action piaware
[2021-11-24 13:15 GMT] child process 1225 exited with status EXIT 100
[2021-11-24 13:15 GMT] run-apt-get(1225): E: Repository ‘Index of /raspbian buster InRelease’ changed its ‘Suite’ value from ‘stable’ to ‘oldstable’
[2021-11-24 13:15 GMT] update request complete
[2021-11-24 13:15 GMT] run-apt-get(1225): E: Repository ‘Index of /debian buster InRelease’ changed its ‘Suite’ value from ‘testing’ to ‘oldstable’

If anyone could advise me on what to do, that would be great. I’m currently running RPi OS Buster on a Pi 2 with official psu.

see A note on updating old Buster installs

1 Like